% Example_2_3.m
% Calculation of e^x by both MATLAB's exp function and
% the Taylor series expansion of e^x. The input()
% function is used to establish the exponent x.
% A 'while' loop is used in determining the series
% solution. A 'break' statement is used to end the loop
% if the number of terms becomes greater than 50. The
% display statement is used to display the values of x,
% ex and ex2 in the command window.
% Note: e^x = 1 + x + x^2/2! + x^3/3! + x^4/4! + ...
clear; clc;
x=input('Enter a value for the exponent x \n');
n=1; ex=1.0; term=1.0;
while abs(term) > ex*1.0e-6
    term=x^n/factorial(n);
    ex=ex+term;
    n=n+1;
    if n > 50
        break;
    end
end
ex2=exp(x);
disp(x);
disp(ex);
