% Example_2_8.m
% This program is an example of the use of the subplot
% command and the elseif ladder. Values of y1, y2, y3
% and y4 are constructed as vectors.  Separate plots of
% y1 vs. t, y2 vs. t and y3 vs. t are plotted on the
% same page.
clc; clear;
for n=1:11
    t(n)=n-1;
    y1(n)=t(n)^2/10;
    y2(n)=sin(pi*t(n)/10);
    y3(n)=exp(t(n)/2);
    y4(n)=sqrt(t(n));
end
for n=1:4
    subplot(2,2,n)
    if n==1
        plot(t,y1), grid, title('y1 vs. t');
        xlabel('t'), ylabel('y1');
    elseif n==2
        plot(t,y2), grid, title('y2 vs. t');
        xlabel('t'), ylabel('y2');
    elseif n==3
        plot(t,y3), grid, title('y3 vs. t');
        xlabel('t'), ylabel('y3');
    elseif n==4
        plot(t,y4), grid, title('y4 vs. t');
        xlabel('t'), ylabel('y4');
    end
end
