% Example_5_3.m
% This program evaluates the integral of the function
% 'f1' between A and B by MATLAB's quad function. Since
% the function 'f1' is just a single line, we can use the
% anonymous form of the function.
clear; clc;
f1=@(x) (x.^3+3.2*x.^2-3.4*x+20.2);
A=0.0;  B=10.0;
I = quad(f1,A,B);
fprintf('Integration of f1 over [%.0f,%.0f] ',A,B);
fprintf('by MATLAB''s quad function:\n');
fprintf('f1 = x^3 + 3.2*x^2 - 3.4*x + 20.2 \n');
fprintf('integral = %10.4f \n', I);
