% Example_5_4.m
% This program evaluates the integral of function "f2"
% between A and B by MATLAB's quad function. The
% integrand can be expressed in a single line and thus we
% can use the anonymous form of the function.
clear; clc;
A=0.0; B=1.0;
f2 = @(t) t ./ (t.^3 +t + 1.0);
I2 = quad(f2,A,B);
fprintf('Integration of f2 over [%.0f,%.0f] ',A,B);
fprintf('by MATLAB''s quad function:\n');
fprintf('f2 = t/(t^3 + t + 1) \n');
fprintf('integral=%f \n',I2);
