% Example_5_9.m
% This program calculates the surface area and volume of
% a hemisphere (with radius=1) using dblquad.  The exact
% values from formulae are also calculated.
clear; clc;
global R;
R = 1;
% calculate surface area
SA = dblquad('hemisphere_dA',0,pi/2,0,2*pi);
SA_exact = 2*pi*R^2;
% calculate volume
V = dblquad('hemisphere_dV',-R,R,-R,R);
V_exact = 2/3*pi*R^3;
% print results
fprintf('Surface area SA of a hemisphere of ');
fprintf('radius %.4f m\n',R);
fprintf('SA by DBLQUAD = %.4f m^2\n',SA);
fprintf('SA exact      = %.4f m^2\n',SA_exact);
fprintf('Volume V of a hemisphere of radius %.4f m\n',R);
fprintf('V by DBLQUAD  = %.4f m^3\n',V);
fprintf('V exact       = %.4f m^3\n',V_exact);
