% linecharge_Ey.m: Function to calculate Ey at (xo,yo,zo)
% for a line charge on the z axis
function Ey = linecharge_Ey(zp)
global xo yo zo lambda epsilon0;
Ey = lambda/(4*pi*epsilon0) * yo ...
    ./ (xo.^2 + yo.^2 + (zo-zp).^2).^1.5;
