% Example_6_7.m
% Example of solving a tri-diagonal system of equations
a = [-2  -14/3  6  -31/2  8    0];
b = [0   -4/3  -11  3/2  -4  -20];
c = [7    -3    3   1/2  -19  11];
m = length(a);
% Compute d and e coefficients:
d(1)=c(1);
e(1)=a(1);
for i=2:m
    d(i) = (c(i) + b(i)*d(i-1)) / (1 - b(i)*e(i-1));
    e(i) = a(i) / (1 - b(i)*e(i-1));
end
% Compute x:
x(m)=d(m);
for i=(m-1):-1:1
    x(i) = d(i) + e(i)*x(i+1);
end
% Display the solution:
x
