% dydt2.m: This function works with Example 7.5.
% Y(1)=y, Y(2)=v
% Y1'=Y(2), Y2'=5*t-3Y2-2Y1, if t >2, Y2'=-3Y2-2Y1, if t >= 2  
function Yprime=dydt2(t,Y)
Yprime=zeros(2,1);
Yprime(1)=Y(2);
if t < 2
    Yprime(2)=5*t-3.0*Y(2)-2.0*Y(1);
else
    Yprime(2)=-3.0*Y(2)-2.0*Y(1);
end
