% linecharge_Ex.m: Function to calculate Ex at (xo,yo,zo)
% for a line charge on the z axis
function Ex = linecharge_Ex(zp)
global xo yo zo lambda epsilon0;
Ex = lambda/(4*pi*epsilon0) * xo ...
    ./ (xo.^2 + yo.^2 + (zo-zp).^2).^1.5;
